QGIS Application - Bug report #16122
Processing (gdal) dissolve polygon fails
Status:
Priority:
Assignee:
Category:

Closed
Severe/Regression
Victor Olaya
Processing/OGR

Affected QGIS version:master

Operating System:

Linux Mint

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution:

Copied to github as #:

No
No
invalid
24034

Description

with test data (dissolve_polys, polys, multypolys) the algorithm always fails. This the error:

GDAL command output:

Warning 6: Normalized/laundered field name: 'ST_Union('geometry')' to 'ST_Union("

Converting outputs
Loading resulting layers

The following layers were not correctly generated.

Dissolved

You can check the log messages to find more information about the execution of the algorithm

Associated revisions

Revision 44698d45 - 2017-02-07 03:57 PM - Alexander Bruy

[processing] don't quote geometry column name (fix #16122)

History

#1 - 2017-02-07 06:52 AM -

Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"44698d4576d474740cbea8b1955d7ba9f9de279".

#2 - 2017-02-07 08:39 AM -

Giovanni Manghi

- Status changed from Closed to In Progress

- Category changed from Processing/GRASS to Processing/OGR

#3 - 2017-02-12 01:18 PM -

- Resolution set to invalid

Giovanni Manghi

- Status changed from In Progress to Closed

This is error

Warning 6: Normalized/laundered field name: 'ST_Union('geometry')' to 'ST_Union("
is an ogr2ogr problem and not a qgis one.

It only happens when dissolving using a text attribute and one of the features has 0 area and the attribute empty, as it happens for one of the features in

the dissolve_polys sample data.

Is definitely a edge case, that must be addressed upstream.

#4 - 2017-02-12 09:26 PM - Paolo Cavallini

Could you please open a ticket upstream?
Thanks.
